import { OnInit, OnDestroy } from '@angular/core';
import { ToastData } from '../../notify.model';
import { SdNotifyService } from '../../notify.service';
import * as i0 from "@angular/core";
export declare class SdToastComponent implements OnInit, OnDestroy {
    private notifyService;
    data: ToastData;
    isExpanded: import("@angular/core").WritableSignal<boolean>;
    readonly MAX_SHOW = 2;
    private timer;
    private start;
    private remaining;
    constructor(notifyService: SdNotifyService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    pauseTimer(): void;
    resumeTimer(): void;
    close(): void;
    onActionClick(): void;
    toggleExpand(): void;
    get isMultiMessage(): boolean;
    get messages(): string[];
    get displayMessages(): string[];
    get restCount(): number;
    get hasMore(): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<SdToastComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SdToastComponent, "sd-toast", never, { "data": { "alias": "data"; "required": true; }; }, {}, never, never, true, never>;
}
